[RFC PATCH 3/9] mksunxi_fit_atf.sh: produce working binaries by default
Petr Štetiar
ynezz at true.cz
Wed Mar 18 10:57:50 CET 2020
At this moment unusable binaries are produced if bl31.bin file is
missing in order to allow passing of various CI tests. This intention of
broken binaries has to be now explicitly confirmed via new
BUILDBOT_BROKEN_BINARIES config option, so usable binaries are produced
by default from now on.
Signed-off-by: Petr Štetiar <ynezz at true.cz>
---
board/sunxi/mksunxi_fit_atf.sh | 10 +++++++---
1 file changed, 7 insertions(+), 3 deletions(-)
diff --git a/board/sunxi/mksunxi_fit_atf.sh b/board/sunxi/mksunxi_fit_atf.sh
index 88ad71974706..708b4248549d 100755
--- a/board/sunxi/mksunxi_fit_atf.sh
+++ b/board/sunxi/mksunxi_fit_atf.sh
@@ -8,9 +8,13 @@
[ -z "$BL31" ] && BL31="bl31.bin"
if [ ! -f $BL31 ]; then
- echo "WARNING: BL31 file $BL31 NOT found, resulting binary is non-functional" >&2
- echo "Please read the section on ARM Trusted Firmware (ATF) in board/sunxi/README.sunxi64" >&2
- BL31=/dev/null
+ if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+ BL31=/dev/null
+ else
+ echo "ERROR: BL31 file $BL31 NOT found, resulting binary is non-functional" >&2
+ echo "Please read the section on ARM Trusted Firmware (ATF) in board/sunxi/README.sunxi64" >&2
+ exit 1
+ fi
fi
if grep -q "^CONFIG_MACH_SUN50I_H6=y" .config; then
More information about the U-Boot
mailing list